%define rake_build %rake build

%define REL 32739
Name: alexandria
Version: 0.6.3
Release: alt2

Summary: Alexandria is a GNOME application to help you manage your book collection

License: GPL
Group: Databases
Url: http://alexandria.rubyforge.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://rubyforge.org/frs/download.php/%REL/%name-%version.tar.bz2
Patch: %name-0.6.2.patch
Patch1: alexandria-0.6.3-crash_tooltips.patch


Requires(post): GConf2
Requires(post,postun): scrollkeeper
BuildPreReq: libGConf2-devel
BuildPreReq: menu-devel

BuildArch: noarch

# manually removed: rubygems
# Automatically added by buildreq on Tue Jan 08 2008
BuildRequires: ruby-module-digest ruby-module-etc ruby-module-fileutils ruby-module-misc ruby-module-openssl ruby-module-optparse ruby-module-rexml ruby-module-yaml ruby-rake

BuildPreReq: ruby ruby-amazon rpm-build-ruby >= 0.0.2-alt1

Requires: ruby-amazon

%description
Alexandria is a GNOME application to help you manage your book collection.

Alexandria:
 * retrieves book information from Amazon (including cover pictures) ;
 * saves data using the YAML format ;
 * features an HIG-compliant user interface ;
 * shows books in different views (standard list or icons list).

%prep
%setup -q
%patch
%patch1 -p1

%build
%rake_build
# remove DeaStore provider due hpricot mechanize missed
rm -f lib/alexandria/book_providers/dea_store_it.rb
# remove due marc zoom
rm -f lib/alexandria/book_providers/z3950.rb
# due hpricot
rm -f lib/alexandria/book_providers/amazon_ecs_util.rb

%install
export DESTDIR=%buildroot
%rake_install

install -D -m 0644 schemas/%name.schemas %buildroot/%_sysconfdir/gconf/schemas/%name.schemas
rm -rf %buildroot%_docdir/%name/
rm -rf %buildroot%_datadir/menu
%find_lang %name --with-gnome

%post
%update_menus
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%doc doc/AUTHORS doc/BUGS doc/FAQ doc/HACKING doc/NEWS doc/cuecat*
%doc INSTALL ChangeLog README TODO
%_bindir/%name
%_datadir/%name/
%ruby_sitelibdir/%name/
%ruby_sitelibdir/%name.rb
%_man1dir/*
%_desktopdir/%name.desktop
%config %_sysconfdir/gconf/schemas/*
%_iconsdir/hicolor/*/*/%name.*

%changelog
* Thu May 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt2
- fix build, use rake_install macros
- remove unsupported providers (due missed hpricot, marc, zoom modules)

* Thu May 29 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.3-alt1
- new version 0.6.3 (with rpmrb script)
- note: rake_build/rake_install macroses is broken now

* Wed Jan 16 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt2
- remove rubygems requires
- use new rpm-build-ruby

* Tue Jan 08 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt1
- new version 0.6.2 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.3
- fix requires
- remove debian menu

* Tue May 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.2
- spec cleanup
- fix requires (bug #9601)

* Sun Oct 16 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version
- add require for ruby-gettext
- still some broken code

* Tue Sep 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.2
- fix scrollkeeper install

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- new version

* Wed Aug 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt0.1
- new version. Ruby hackers, please check this app

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- first build for ALT Linux Sisyphus

